/*****************************/
/*****************************
    Profile Page
/*****************************/
/*****************************/

.profile-page {
    background-size: cover;
    background-position: top center;
    position: relative;
    min-height: 100vh;
}

.profile-page-content {
    position: relative;
    z-index: 3;
    padding: 10px 0 20px;
    min-height: calc(100vh - 200px);
}

.profile-page-footer {
    font-size: 13px;
    padding-bottom: 30px;
    padding-top: 40px;
    position: relative;
    z-index: 3;
    color: #444;
}


.profile-page-footer img {
    width: 100px;
    display: block;
    margin: auto;
}

/* 
.profile-page::after {
    content: '';
    position: absolute;
    display: block;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
    opacity: 0.5;
    background-color: #fff;
}  */

.profile-top {
    text-align: center;
    padding: 30px 10px;
    /* margin-bottom: 20px; */
}

.profile-image-wrapper {
    margin: 7px 0 20px;
}

.user-image {
    width: 120px;
    height: 120px;
    border-radius: 50%;
    border: 1px solid #ddd;
    box-shadow: 0 0 2px 1px #ddd;
    object-fit: cover;
}

.user-name {
    margin: 7px 0 15px;
    font-size: 20px;
}

.profile-links {
    width: 60%;
    margin: auto;
    position: relative;
}

@media (max-width: 992px) {
    .profile-links {
        width: 100%;
    }
}

.links-title {
    border-radius: 15px;
    position: absolute;
    top: -23px;
    right: 50%;
    transform: translateX(50%);
    padding: 10px 25px;
    margin-bottom: 20px;
    font-size: 14.5px;
    font-weight: normal;
    width: max-content;
    background-color: #fff;

}

.link-item-wrapper {
    margin-bottom: 15px;
    text-align: center;
    font-size: 16.5px;
}

.link-item {
    gap: 25px;
    font-size: inherit;
    position: relative;
    display: block;
    /* background-color: #ddd; */
    /* box-shadow: 0 5px 15px -3px rgba(0, 0, 0, .1), 0 4px 6px -2px rgba(0, 0, 0, .05); */
    /* border-radius: 10px; */
}

.link-item .link-item-btn {
    position: relative;
    padding: 15px 0;
    display: block;
}

.link-item.has-collapse .link-item-btn::after {
    content: '\f107';
    position: absolute;
    right: 20px;
    top: 50%;
    transform: translateY(-50%);
    font-family: FontAwesome;

}

.link-item.link:hover {
    opacity: .5;
}


.link-item img.link-icon {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    /* box-shadow: 0 0 2px 1px #ddd; */
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
}

.user-url {
    padding: 10px 15px;
    border-radius: 20px;
    background-color: #222;
    color: #c4c4c4;
    width: max-content;
    margin: 15px auto;
    /* margin-bottom: 10px; */
}

.link-content {
    position: relative;
    display: none;
}

.link-content-close {
    width: 40px;
    height: 40px;
    border-radius: 50%;
    border: none;
    box-shadow: rgba(0, 0, 0, 0.5) 0px 1px 5px;
    font-size: 20px;
    position: absolute;
    bottom: -50px;
    right: 50%;
    transform: translate(50%);
    background: #fff;
    color: #515151;
    display: none;
}


.link-item.open {
    margin-bottom: 70px;
}


.link-item.open .link-content {
    display: block;
}

.link-item.open .link-content-close {
    display: block;
}

.link-item.link-style-icon .link-item-btn{
    /* width: 30px; */
    padding: 10px;
}

.link-item.link-item.link-style-icon img.link-icon {
    position: static;
    transform: none;
    display: block;
}

.dialog-wrapper {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 9999;
    background: rgba(155, 149, 149, 0.6);
    padding: 20px;
    backdrop-filter: blur(5px);
}

.dialog {
    background-color: #fff;
    width: 450px;
    margin: auto;
    border-radius: 14px;
    color: #222;
    font-size: 15px;
}

.dialog-header {
    padding: 20px 30px;
    display: flex;
    justify-content: space-between;
}

.dialog-btn-close {
    background: none;
    border: none;
}

.dialog-body {
    padding: 30px 30px;

}

.submit-btn {
    background: none;
    border: none;
    padding: 10px;
    display: block;
    width: 100%;
    border-radius: 19px;
    background: #ddd;
    font-size: 15.5px;
}

.contact-form-widget {
    margin: auto;
}

.contact-form-widget .form-input {
    padding: 10px 25px;
    display: block;
    width: 100%;
    border-radius: 24px;
    border: 1px solid #ddd;
    font-size: 15.5px;
    margin-bottom: 13px;
}

.contact-form-widget textarea.form-input {
    border-radius: 12px;
}



/*    ******/

/*====================*/
/* BUZZ 
/*====================*/

@keyframes buzz {
    10% {
        -webkit-transform: translateX(2px);
        transform: translateX(2px);
    }

    40% {
        -webkit-transform: translateX(-2px);
        transform: translateX(-2px);
    }


    60% {
        -webkit-transform: translateX(2px);
        transform: translateX(2px);
    }

    80% {
        -webkit-transform: translateX(-2px);
        transform: translateX(-2px);
    }


    100% {
        -webkit-transform: translateX(1px);
        transform: translateX(1px);
    }
}

@keyframes wobble {
    0% {
        transform: translateX(0px);
    }

    15% {
        transform: translateX(-25px) rotate(-5deg);
    }

    30% {
        transform: translateX(20px) rotate(3deg);
    }

    45% {
        transform: translateX(-15px) rotate(-3deg);
    }

    60% {
        transform: translateX(10px) rotate(2deg);
    }

    75% {
        transform: translateX(-5px) rotate(-1deg);
    }

    100% {
        transform: translateX(0px);
    }
}

@keyframes pop {

    0%,
    100% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.05);
    }
}


.buzz {
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    -webkit-animation-name: buzz;
    animation-name: buzz;
    -webkit-animation-duration: .75s;
    animation-duration: .75s;
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}


.wobble {
    -webkit-transform: perspective(1px) translateZ(0);
    transform: perspective(1px) translateZ(0);
    -webkit-animation-name: wobble;
    animation-name: wobble;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-timing-function: ease-in-out;
    animation-timing-function: ease-in-out;
    -webkit-animation-iteration-count: infinite;
    animation-iteration-count: infinite;
}

.pop {
    animation: pop .75s linear infinite;
}

.buzz:hover,
.pop:hover,
.wobble:hover {
    animation: none;
}